#include <FL/Fl_Layouter.H>

#include <FL/Fl.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Input.H>

static Fl_Layout_Utils lay_util;

void mk_btn(const char * text, int x = 0, int y = 0, int w = 1, int h = 1, int padX=4, int padY=4){
  Fl_Button *wg = lay_util.getNewButton(text, x, y, w, h, padX, padY);
  wg->labelsize(36);
  lay_util.pitch(wg, 5);
}

void mk_input(const char * text, int x = 0, int y = 0, int w = 1, int h = 1){
  Fl_Input *wg = lay_util.getNewInput(x, y, w, h);
  wg->label(text);
  wg->labelsize(24);
  wg->textsize(24);
  lay_util.pitch(wg, 5);
}

class mywin : public LFl_Double_Window
{
  public:

    mywin(void) : LFl_Double_Window(true)
    {
	  label("Layout example");
	  mk_btn("Text1", 0, 0);
      mk_btn("Text2", 1, 0);
      mk_btn("Text3", 0, 1, 2);
      mk_btn("Text4", 3, 0, 1, 2);
      mk_input("Name", 1,2,3);
      mk_input("Description Short", 1,3,3);
      mk_input("ZIP", 1,4,3);
      mk_input("Company", 1,5,3);
    }
};

int main(int argc, char* argv[])
{
  mywin win;

  win.show();

  Fl::run();
}
